Index: /main/trunk/model-interfaces-dev/atea/macron-restoration/src/App.vue
===================================================================
--- /main/trunk/model-interfaces-dev/atea/macron-restoration/src/App.vue	(revision 35741)
+++ /main/trunk/model-interfaces-dev/atea/macron-restoration/src/App.vue	(revision 35742)
@@ -4,5 +4,11 @@
         <div class="app-bar-content">
             <span class="heading1">{{ translations.get("Title") }}</span>
+
+            <toggle-button class="theme-primary-l1" v-model="showInfo" :reverseState="true">
+                <span class="material-icons mdi-l">info</span>
+            </toggle-button>
         </div>
+
+        <div v-if="showInfo" class="paper" v-html="translations.get('Description')" />
     </div>
 
@@ -16,27 +22,4 @@
         <div class="inner-content" v-if="selectedTab === 'file'">
             <file-input />
-        </div>
-    </div>
-
-    <div class="footer">
-        <a href="https://www.waikato.ac.nz" target="_blank">
-            <img src="img/logo_waikato_uni.jpg" alt="The University of Waikato Logo" />
-        </a>
-
-        <div>
-            This service was funded by <a href="http://www.maramatanga.co.nz" target="_blank">NgÄ Pae O Te MÄramatanga</a> as
-            part of the research related to the digitalization of the Pei Jones collection,
-            and was developed at the <a href="https://www.waikato.ac.nz" target="_blank">University of Waikato</a>.
-        </div>
-
-        <a href="http://www.maramatanga.co.nz" target="_blank">
-            <img src="img/logo_maramatanga.jpg" alt="The NgÄ Pae o te MÄramatanga Logo" />
-        </a>
-
-        <div>
-            This website collects simple usage logs which will be used for development purposes only.
-            No details which could be used to identify individuals will be collected and the data will be kept secure at the University of Waikato.
-            If you do not wish for your activity to be included, click <a href="mailto:tetaka@waikato.ac.nz">here</a> to notify Dr. Te Taka Keegan.
-            Copyright &copy; 2014 University of Waikato
         </div>
     </div>
@@ -89,29 +72,4 @@
     padding: 1em;
 }
-
-.footer {
-    display: grid;
-    grid-template-columns: auto 1fr;
-    gap: 1em;
-
-    box-shadow: 0px 0px 3px 2px #8a8a8a;
-    padding: 1em;
-    background-color: var(--paper-color);
-
-    img {
-        grid-column: 1;
-        height: 48px;
-    }
-
-    div {
-        grid-column: 2;
-    }
-}
-
-.funding {
-    display: flex;
-    gap: 1em;
-    align-items: center;
-}
 </style>
 
@@ -131,5 +89,6 @@
     data() {
         return {
-            selectedTab: "direct"
+            selectedTab: "direct",
+            showInfo: false
         }
     },
Index: /main/trunk/model-interfaces-dev/atea/macron-restoration/src/components/DirectInput.vue
===================================================================
--- /main/trunk/model-interfaces-dev/atea/macron-restoration/src/components/DirectInput.vue	(revision 35741)
+++ /main/trunk/model-interfaces-dev/atea/macron-restoration/src/components/DirectInput.vue	(revision 35742)
@@ -6,5 +6,5 @@
     <div class="text-container">
         <span v-if="errorState" class="material-icons mdi-m error-text">error</span>
-        <span v-if="errorState" class="error-text">Something went wrong! Please try modifying your input text.</span>
+        <span v-if="errorState" class="error-text">{{ translations.get('DirectInput_UnknownError') }}</span>
 
         <span class="preserveWhitespace" v-html="formattedRestored" />
Index: /main/trunk/model-interfaces-dev/atea/resources/interface_atea.properties
===================================================================
--- /main/trunk/model-interfaces-dev/atea/resources/interface_atea.properties	(revision 35741)
+++ /main/trunk/model-interfaces-dev/atea/resources/interface_atea.properties	(revision 35742)
@@ -23,4 +23,5 @@
 
 atea.macroniser.Title=MÄori Macron Restoration Service
+atea.macroniser.Description=This service was previously funded by <a href='http://www.maramatanga.co.nz' target='_blank'>NgÄ Pae O Te MÄramatanga</a> and was developed at the <a href='https://www.waikato.ac.nz' target='_blank'>University of Waikato</a>.<br /><br />This website collects simple usage logs for development purposes only. No identifying details will be collected and the data will be kept securely at the University of Waikato. If you do not wish for your activity to be included, please <a href='mailto:tetaka@waikato.ac.nz'>notify Dr. Te Taka Keegan</a>.
 atea.macroniser.DirectInput=Macronise Direct Input
 atea.macroniser.FileInput=Macronise Files
@@ -31,4 +32,5 @@
 atea.macroniser.DirectInput_Download=Download as Text
 atea.macroniser.DirectInput_NormaliseLinebreaks=Normalise Linebreaks
+atea.macroniser.DirectInput_UnknownError=Something went wrong! Please try modifying your input text.
 
 atea.macroniser.FileInput_Download=Download