Index: gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/README.md
===================================================================
--- gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/README.md	(revision 35764)
+++ gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/README.md	(revision 35764)
@@ -0,0 +1,45 @@
+# Korero Maori Proxy Setup
+
+1. Find your ASR API key and run the setup script.
+
+    ```sh
+    > ./setup.sh
+    ```
+
+2. Edit the HTML content of the `unauthorised` page so that the button redirects to your preferred location.
+
+    ```sh
+    nano src/main/webapp/webContent/unauthorised.html
+    ```
+
+3. Compile and install the WAR file.
+
+    ```sh
+    > ant install
+    ```
+
+4. Update the apache2 config with the relevant `ProxyPass` rules
+
+    ```sh
+    > sudo nano /etc/apache2/sites-enabled/000-default-le-ssl.conf
+    > sudo nano /etc/apache2/sites-enabled/000-default.conf
+    
+    ProxyPass /gs3-koreromaori http://localhost:8383/gs3-macroniser
+    ProxyPassReverse /gs3-koreromaori http://localhost:8383/gs3-macroniser
+    ```
+
+5. If `403 Forbidden` errors are observed, update the CORS filter in `web.xml` to include your root domains, and re-install.
+
+    ```sh
+    > nano src/main/webapp/WEB-INF/web.xml
+
+    <filter>
+        <filter-name>CorsFilter</filter-name>
+        <filter-class>org.apache.catalina.filters.CorsFilter</filter-class>
+        <init-param>
+            <param-name>cors.allowed.origins</param-name>
+            -- <param-value>http://localhost:8080</param-value> <!-- Separate values by a comma -->
+            ++ <param-value>http://localhost:8080,http://atea.space,https://atea.space</param-value>
+        </init-param>
+    </filter>
+    ```
Index: gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/README.txt
===================================================================
--- gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/README.txt	(revision 35763)
+++ 	(revision )
@@ -1,28 +1,0 @@
-
-# Look up the Te Hiku ASR key and enter it at the appropriate point when running
-
-  ./setup.sh
-
-
-# Now edit:
-
-  src/main/webapp/webContent/unauthorizsed.html
-
-so the button displays the name Atea, and points to the https://atea.space website
-
-
-# Compile up and install the war file
-
-  ant install
-
-
-# Now update apache2 config with ProxyPass rules
-
- sudo emacs /etc/apache2/sites-enabled/000-default-le-ssl.conf
-
-   ProxyPass /gs3-koreromaori http://localhost:8383/gs3-koreromaori
-   ProxyPassReverse /gs3-koreromaori http://localhost:8383/gs3-koreromaori
-
-#Same for the http version:
-
- sudo emacs /etc/apache2/sites-enabled/000-default.conf
Index: gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/WEB-INF/web.xml
===================================================================
--- gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/WEB-INF/web.xml	(revision 35763)
+++ gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/WEB-INF/web.xml	(revision 35764)
@@ -67,11 +67,10 @@
       <servlet-name>koreroMaoriTranscribe</servlet-name>
       <servlet-class>org.atea.nlptools.koreromaoriproxy.TranscriptionServlet</servlet-class>
-      <load-on-startup>0</load-on-startup>
     </servlet>
 
-    <servlet>
+    <!-- <servlet>
       <servlet-name>koreroMaoriTranscribeTest</servlet-name>
       <servlet-class>org.atea.nlptools.koreromaoriproxy.TestServlet</servlet-class>
-    </servlet>
+    </servlet> -->
 
     <!-- Define mappings that are used by the servlet container to
Index: gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/webContent/unauthorised.html
===================================================================
--- gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/webContent/unauthorised.html	(revision 35763)
+++ gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy/src/main/webapp/webContent/unauthorised.html	(revision 35764)
@@ -82,5 +82,5 @@
         <div class="container">
             <div class="cover">
-                <a class="btn-primary" href="/greenstone3/library/">Looking for Greenstone instead?</a>
+                <a class="btn-primary" href="/">Looking for Ätea instead?</a>
             </div>
         </div>